/* Estilo básico para o tooltip */

.tooltip {
    position: relative;
    cursor: pointer;
}

/* Cria o tooltip com o conteúdo do atributo data-tooltip */
.tooltip::after {
    content: attr(data-tooltip);
    /* Pega o conteúdo do atributo data-tooltip */
    position: absolute;
    bottom: 125%;
    /* Posiciona acima do elemento; ajuste conforme necessário */
    left: 50%;
    transform: translateX(-50%);
    background-color: #7326D3;
    /* Fundo escuro */
    color: #fff;
    /* Texto branco */
    padding: 5px 8px;
    border-radius: 100px;
    white-space: nowrap;
    opacity: 0;
    /* Inicialmente invisível */
    pointer-events: none;
    /* Impede que o tooltip interfira na interação com o elemento */
    transition: opacity 0.3s ease-in-out;
    z-index: 10;
    font-size: 1.2rem
}

/* Adiciona uma pequena seta ao tooltip */
.tooltip::before {
    content: "";
    position: absolute;
    bottom: 100% !important;
    /* Ajuste conforme necessário */
    left: 50%;
    transform: translateX(-50%);
    border-width: 5px;
    border-style: solid;
    border-color: #7326D3 transparent transparent transparent;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    z-index: 20;
}

/* Mostra o tooltip ao passar o mouse sobre o elemento */
.tooltip:hover::after,
.tooltip:hover::before {
    opacity: 1;
}

/*
Cards
*/

/* Efeito de card com shadow */
.card-effect-shadow {
    animation: topdown 700ms 350ms backwards;
    transition: .5s all ease-in-out;
    border: 2px solid transparent;
    will-change: filter !important;
}

.card-effect-shadow:hover {
    transform: translateY(-15px);
    box-shadow: 0px 32px 180px -12px rgba(9, 236, 248, 0.2);
    background-color: #191c1f;

    border-radius: 8px;
    border: 2px solid #09ecf830;
}

.card-effect-noshadow {
    animation: topdown 700ms 350ms backwards;
    transition: .5s all ease-in-out;
    border: 2px solid transparent;
}

.card-effect-noshadow:hover {
    transform: translateY(-15px);
    border: 2px solid #09ecf830;
}

@media(max-width: 600px) {
    .card-effect-shadow:hover {
        transform: translateY(0px) !important;
        box-shadow: none !important;
    }
}